% rcfilt  RC filter a signal 
%
%  yFilt = rcfilt(y,SampTime,TimeConstant)
%
%  Filters a spectrum using a single-pole RC
%  low-pass filter as built into cw spectrometers
%  to remove high-frequency noise.
%
%  Input:
%  - y:          unfiltered spectrum
%  - SampleTime  sampling time
%  - TimeConstant   time constant of the filter
%
%    SampleTime and TimeConstant must have the same
%    units (s, ms, us, ...)
%
%  Output
%  - yFilt       filtered spectrum
%
%  For matrices, rcfilter operates along columns.

