% Nitroxide radical, various correlation times
%--------------------------------------------------

clear all, close all

% Parameters
%---------------------------------------------------------------------
g = [2.0088,2.0061,2.0027];
A = mt2mhz([5.8,5.8,30.8]/10); % G -> MHz

Sys = struct('g',g,'Nucs','14N','A',A);
Sys.lw = 0.1; % mT

% Simulation
%---------------------------------------------------------------------
tcorr = 10.^[-12 -11 -10 -9.5]; % seconds

Exp.mwFreq = 9.5;
Exp.Range = [336 341];

for k = 1:numel(tcorr)
  Sys.tcorr = tcorr(k);
  [BX,y] = garlic(Sys,Exp);
  spcX(k,:) = y/max(y);
end

% Plotting
%---------------------------------------------------------------------
plot(BX,spcX);
xlabel('magnetic field [mT]');
title('X band');
axis tight
