% Bridged biaryl cation radical (1000s of lines)
%==========================================================================
% Cation radical of 6-hydrodipyrido[1,2-c:2',1'-e]-imidazole
% The spectrum contains a total of 9216 resonance lines.

clear all, close all

% Hyperfine couplings in units of Gauss (from literature)
A_Gauss = [+4.34,-2.39,-0.65,-2.81,-0.23,+24.24];
A_MHz = mt2mhz(A_Gauss/10,gfree); % Conversion to MHz

% The spin system contains a total of 12 nuclei, in groups of 2
Sys = struct('g',2.00316,'Nucs','14N,1H,1H,1H,1H,1H',...
  'n',[2 2 2 2 2 2],'A',A_MHz,'lw',0.01);
Exp = struct('mwFreq',9.532,'nPoints',2^13);

% Simulation and plotting of the solution cw EPR spectrum
garlic(Sys,Exp);
