% Naphthalene radical anion and cation
%==========================================================================
% Hyperfine values taken from Gerson book, Table 8.8, p. 234

clear all, clf

Sys = struct('g',2,'Nucs','1H,1H','n',[4 4]);

A_anion =  mt2mhz([-0.495 -0.183]);
A_cation = mt2mhz([-0.587 -0.167]);

Sys.lw = 0.01;

Exp = struct('mwFreq',9.5,'nPoints',1e4,'Range',[337 342]);

Sys.A = A_anion;
[xa,ya] = garlic(Sys,Exp);
Sys.A = A_cation;
[xc,yc] = garlic(Sys,Exp);

plot(xa,ya,'b',xc,yc,'g');
legend('radical anion','radical cation');
xlabel('magnetic field [mT]');
set(gca,'YTick',[]);
