% Slow-motional EPR spectrum of TEMPONE
%=========================================================
% This reproduces Figure 5 on page 38 of
% D.J.Schneider, J.H.Freed
% Calculating Slow Motional Magnetic Resonance Spectra
% Biol.Magn.Reson. 8 (1989), 1-76

clear all, clf

Tempone.g = [2.0088,2.0061,2.0027];
giso = mean(Tempone.g);
Tempone.Nucs = '14N';
Tempone.A = mt2mhz([5.8,5.8,30.8]/10,giso);

Dyn.Diff = 1e6;
Dyn.lw = 5;

Exp.mwFreq = mt2mhz(330,giso)/1e3;

chili(Tempone,Dyn,Exp);
