% Excited triplet state of naphthalene in a duren host
%==========================================================================
% see C.A.Hutchison et al, J.Chem.Phys. 34 (1961) 908-922
% and Weil/Bolton/Wertz, pages 161 and 162

clear all, close all

% Here we simulate the X-band powder spectrum

convert = 100*clight/1e6; % cm^-1 -> MHz conversion factor
D = 0.1003*convert;
E = 0.0137*convert;

Sys = struct('S',1,'g',[1 1 1]*2.003,'D',[-D/3-E,-D/3+E,2/3*D]);
Sys.HStrain = [1 1 1]*200;

Exp = struct('mwFreq',9.5,'Range',[0 500]);

pepper(Sys,Exp);
title('Naphthalene triplet');
