% Triplet powder spectrum, with non-equilibrium populations (simple)
%==========================================================================
clear all, close all

% Spin system and experimental parameters
Sys = struct('S',1,'g',[2 2 2],'lw',0.3,'D',[-1 -1 2]*100);
Exp = struct('mwFreq',9.5,'Range',[325 355],'Harmonic',0);

% Simulation options
Opt = [];

% Boltzmann equilibrium at room temperature
Exp.Temperture = 298;
[x,y{1}] = pepper(Sys,Exp,Opt);

% User-specified population vector
Exp.Temperature = [0.85 1 0.95];
[x,y{2}] = pepper(Sys,Exp,Opt);

% Plot simulation results
titles{1} = 'Thermal equilibrium populations';
titles{2} = 'Non-equilibrium populations';
for k = 1:2
  subplot(2,1,k);
  plot(x,y{k});
  title(titles{k});
  xlabel('magnetic field [mT]');
end
