# chi_analysis.tcl		Mikolai Fajer 2005
# Path of files to analyze (relative or exact)
set res_id 62
set atom1 N
set atom2 CA
set atom3 CB
set atom4 SG
set pdb_path "../build_wb.pdb"
set dcd_path "../build_wb_prod.dcd"
set output_path "chi.dat"

# Initial loading of bigdcd.tcl
source ../common/bigdcd.tcl

mol load pdb $pdb_path
set top_id [molinfo top]

# Locating the atoms to be analyzed
set atom1 [atomselect top "resid $res_id and name $atom1"]
set atom2 [atomselect top "resid $res_id and name $atom2"]
set atom3 [atomselect top "resid $res_id and name $atom3"]
set atom4 [atomselect top "resid $res_id and name $atom4"]

# Adding label to track dihedral angles chi
label add Dihedrals $top_id/[$atom1 list] $top_id/[$atom2 list] $top_id/[$atom3 list] $top_id/[$atom4 list]

proc chi_analysis { frame} {
	global output_path

	puts "Frame: $frame"

	## Exporting dihedrals
	set chi "[lindex [lindex [label list Dihedrals] 0] 4]"
	set chi_file [open $output_path a]
	puts $chi_file "$chi"
	close $chi_file
}

# Passing analysis function to bigdcd script
bigdcd chi_analysis $dcd_path
