# distance_analysis.tcl     Mikolai Fajer 2005
# Path of files to analyze (relative or exact)
set res_id1 65
set atom_name1 CA
set res_id2 23
set atom_name2 CA
set pdb_path "../common/build_wb.pdb"
set dcd_path "../common/build_wb_prod.dcd"
set output_path "distance.dat"

# Initial loading of bigdcd.tcl
source ../common/bigdcd.tcl

mol load pdb $pdb_path
set top_id [molinfo top]

# Locating the atoms to be analyzed
set atom1 [atomselect top "resid $res_id1 and name $atom_name1"]
set atom2 [atomselect top "resid $res_id2 and name $atom_name2"]

# Adding label to track dihedral angles chi
label add Bonds $top_id/[$atom1 list] $top_id/[$atom2 list]

proc distance_analysis { frame} {
	global output_path

	puts "Frame: $frame"

	## Exporting distance
       	set distance_file [open $output_path a]
	puts $distance_file "[lindex [lindex [label list Bonds] 0] 2]"
	close $distance_file
}

# Passing analysis function to bigdcd script
bigdcd distance_analysis $dcd_path
