# coordinate_analysis.tcl     Mikolai Fajer 2005
# Path of files to analyze (relative or exact)
set res_id 62
set atom_name N
set pdb_path "../common/build_wb.pdb"
set dcd_path "../common/build_wb_prod.dcd"
set output_path "Nxyz.dat"

# Initial loading of bigdcd.tcl
source ../common/bigdcd.tcl

mol load pdb $pdb_path

# Locating the atoms to be analyzed
set atom [atomselect top "resid $res_id and name $atom_name"]

proc coordinate_analysis { frame} {
	global output_path
	global atom

	puts "Frame: $frame"

	## Calculating and exporting coordinates
	set atomX [$atom get x] 
	set atomY [$atom get y]
	set atomZ [$atom get z]
	set coordinate_file [open $output_path a]
	puts $coordinate_file "$atomX $atomY $atomZ"
	close $coordinate_file
}

# Passing analysis function to bigdcd script
bigdcd coordinate_analysis $dcd_path
