# SASA_analysis.tcl     Mikolai Fajer 2005
# Path of files to analyze (relative or exact)
set res_id 62
set radius 1.5
set pdb_path "../common/build_wb.pdb"
set dcd_path "../common/build_wb_prod.dcd"
set output_path "SASA.dat"

# Initial loading of bigdcd.tcl
source ../common/bigdcd.tcl

mol load pdb $pdb_path

# Locating the residue to be analyzed
set residue [atomselect top "resid $res_id "]

proc SASA_analysis { frame} {
	global output_path
	global residue
	global radius

	puts "Frame: $frame"

	## Calculating and exporting the Solvent Accesible Surface Area (SASA) of CMTS
	set SASA [measure sasa $radius $residue]
	set SASA_file [open $output_path a]
	puts $SASA_file "$SASA"
	close $SASA_file
}

# Passing analysis function to bigdcd script
bigdcd SASA_analysis $dcd_path
